CREATE TABLE mot_terr_coverages (
    COVERAGE_ID                    NUMBER(18, 0),
    COVERAGE_NUMBER                VARCHAR2(120)    NOT NULL,
    TERRITORY_VERSION_ID           NUMBER(18, 0)    NOT NULL,
    RULE_ID                        NUMBER(18, 0),
    COVERAGE_TYPE_CODE             VARCHAR2(120)    NOT NULL,
    TERR_DIMENSION_CODE            VARCHAR2(20) ,
    ACCOUNT_ID                     NUMBER(18, 0),
    INCLUDE_HIERARCHY_FLAG         VARCHAR2(4)  ,
    GEOGRAPHY_ID                   NUMBER(18, 0),
    GEOGRAPHY_HIGH_ID              NUMBER(18, 0),
    PRODUCT_GROUP_ID               NUMBER(18, 0),
    INVENTORY_ITEM_ID              NUMBER(18, 0),
    INVENTORY_ORG_ID               NUMBER(18, 0),
    AUXILIARY1_CODE                VARCHAR2(120),
    CUSTOMER_SIZE_CODE             VARCHAR2(120),
    INDUSTRY_CODE                  VARCHAR2(120),
    INDUSTRY_HIGH_CODE             VARCHAR2(120),
    SALES_CHANNEL_CODE             VARCHAR2(120),
    ADDRESS_COUNTRY                VARCHAR2(8)  ,
    ADDRESS_STATE                  VARCHAR2(240),
    ADDRESS_PROVINCE               VARCHAR2(240),
    ADDRESS_COUNTY                 VARCHAR2(240),
    ADDRESS_CITY                   VARCHAR2(240),
    ADDRESS_POSTAL_CODE            VARCHAR2(240),
    PARTNER_ID                     NUMBER(18, 0),
    ACCOUNT_TYPE_CODE              VARCHAR2(120),
    BUSINESS_UNIT_ID               NUMBER(18, 0),
    ORGANIZATION_TYPE_CODE         VARCHAR2(120),
    SUB_SALES_CHANNEL_CODE         VARCHAR2(120),
    AUXILIARY2_CODE                VARCHAR2(120),
    AUXILIARY3_CODE                VARCHAR2(120),
    EXTENSION1_CODE                VARCHAR2(120),
    EXTENSION2_CODE                VARCHAR2(120),
    EXTENSION3_CODE                VARCHAR2(120),
    EXTENSION4_CODE                VARCHAR2(120),
    EXTENSION5_CODE                VARCHAR2(120),
    EXTENSION6_CODE                VARCHAR2(120),
    EXTENSION7_CODE                VARCHAR2(120),
    EXTENSION8_CODE                VARCHAR2(120),
    EXTENSION9_CODE                VARCHAR2(120),
    EXTENSION10_CODE               VARCHAR2(120),
    ADDRESS_ELEMENT_ATTRIBUTE1     VARCHAR2(600),
    ADDRESS_ELEMENT_ATTRIBUTE2     VARCHAR2(600),
    ADDRESS_ELEMENT_ATTRIBUTE3     VARCHAR2(600),
    ADDRESS_ELEMENT_ATTRIBUTE4     VARCHAR2(600),
    ADDRESS_ELEMENT_ATTRIBUTE5     VARCHAR2(600),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    REQUEST_ID                     NUMBER(18, 0),
    PRODUCT_GROUP_HIGH_ID          NUMBER(18, 0),
    INVENTORY_ITEM_HIGH_ID         NUMBER(18, 0),
    AUXILIARY1_HIGH_CODE           VARCHAR2(120),
    CUSTOMER_SIZE_HIGH_CODE        VARCHAR2(120),
    SALES_CHANNEL_HIGH_CODE        VARCHAR2(120),
    ACCOUNT_TYPE_HIGH_CODE         VARCHAR2(120),
    BUSINESS_UNIT_HIGH_ID          NUMBER(18, 0),
    ORGANIZATION_TYPE_HIGH_CODE    VARCHAR2(120),
    SUB_SALES_CHANNEL_HIGH_CODE    VARCHAR2(120),
    AUXILIARY2_HIGH_CODE           VARCHAR2(120),
    AUXILIARY3_HIGH_CODE           VARCHAR2(120),
    COVERAGE_ID                    NUMBER(18, 0),
    COVERAGE_NUMBER                VARCHAR2(120)    NOT NULL,
    TERRITORY_VERSION_ID           NUMBER(18, 0)    NOT NULL,
    RULE_ID                        NUMBER(18, 0),
    COVERAGE_TYPE_CODE             VARCHAR2(120)    NOT NULL,
    TERR_DIMENSION_CODE            VARCHAR2(20) ,
    ACCOUNT_ID                     NUMBER(18, 0),
    INCLUDE_HIERARCHY_FLAG         VARCHAR2(4)  ,
    GEOGRAPHY_ID                   NUMBER(18, 0),
    GEOGRAPHY_HIGH_ID              NUMBER(18, 0),
    PRODUCT_GROUP_ID               NUMBER(18, 0),
    INVENTORY_ITEM_ID              NUMBER(18, 0),
    INVENTORY_ORG_ID               NUMBER(18, 0),
    AUXILIARY1_CODE                VARCHAR2(120),
    CUSTOMER_SIZE_CODE             VARCHAR2(120),
    INDUSTRY_CODE                  VARCHAR2(120),
    INDUSTRY_HIGH_CODE             VARCHAR2(120),
    SALES_CHANNEL_CODE             VARCHAR2(120),
    ADDRESS_COUNTRY                VARCHAR2(8)  ,
    ADDRESS_STATE                  VARCHAR2(240),
    ADDRESS_PROVINCE               VARCHAR2(240),
    ADDRESS_COUNTY                 VARCHAR2(240),
    ADDRESS_CITY                   VARCHAR2(240),
    ADDRESS_POSTAL_CODE            VARCHAR2(240),
    PARTNER_ID                     NUMBER(18, 0),
    ACCOUNT_TYPE_CODE              VARCHAR2(120),
    BUSINESS_UNIT_ID               NUMBER(18, 0),
    ORGANIZATION_TYPE_CODE         VARCHAR2(120),
    SUB_SALES_CHANNEL_CODE         VARCHAR2(120),
    AUXILIARY2_CODE                VARCHAR2(120),
    AUXILIARY3_CODE                VARCHAR2(120),
    ADDRESS_ELEMENT_ATTRIBUTE1     VARCHAR2(600),
    ADDRESS_ELEMENT_ATTRIBUTE2     VARCHAR2(600),
    ADDRESS_ELEMENT_ATTRIBUTE3     VARCHAR2(600),
    ADDRESS_ELEMENT_ATTRIBUTE4     VARCHAR2(600),
    ADDRESS_ELEMENT_ATTRIBUTE5     VARCHAR2(600),
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    REQUEST_ID                     NUMBER(18, 0),
    PRODUCT_GROUP_HIGH_ID          NUMBER(18, 0),
    INVENTORY_ITEM_HIGH_ID         NUMBER(18, 0),
    AUXILIARY1_HIGH_CODE           VARCHAR2(120),
    CUSTOMER_SIZE_HIGH_CODE        VARCHAR2(120),
    SALES_CHANNEL_HIGH_CODE        VARCHAR2(120),
    ACCOUNT_TYPE_HIGH_CODE         VARCHAR2(120),
    BUSINESS_UNIT_HIGH_ID          NUMBER(18, 0),
    ORGANIZATION_TYPE_HIGH_CODE    VARCHAR2(120),
    SUB_SALES_CHANNEL_HIGH_CODE    VARCHAR2(120),
    AUXILIARY2_HIGH_CODE           VARCHAR2(120),
    AUXILIARY3_HIGH_CODE           VARCHAR2(120),
    EXTENSION1_CODE                VARCHAR2(120),
    EXTENSION2_CODE                VARCHAR2(120),
    EXTENSION3_CODE                VARCHAR2(120),
    EXTENSION4_CODE                VARCHAR2(120),
    EXTENSION5_CODE                VARCHAR2(120),
    EXTENSION6_CODE                VARCHAR2(120),
    EXTENSION7_CODE                VARCHAR2(120),
    EXTENSION8_CODE                VARCHAR2(120),
    EXTENSION9_CODE                VARCHAR2(120),
    EXTENSION10_CODE               VARCHAR2(120),
    CONSTRAINT pk_mot_terr_coverages PRIMARY KEY (COVERAGE_ID, COVERAGE_ID)
);
